#include "Button.h"

#include <avr/io.h>

static int previousState;

void Button_Init() {
	BUTTON_PORT.BUTTON_PINCTRL = PORT_PULLUPEN_bm;
}

int Button_IsPressed() {
	int buttonState = BUTTON_PORT.IN & BUTTON_PIN;
	if (buttonState != previousState) {
		previousState = buttonState;
		return buttonState == 0;
	}
	
	return 0;
}