#include "CapacitorDisconnector.h"

void CapacitorDisconnector_Init() {
	CONNECT_CAP_PORT.OUTCLR = CONNECT_CAP_MASK;
	CONNECT_CAP_PORT.DIRSET = CONNECT_CAP_MASK;
}

void CapacitorDisconnector_Disconnect() {
	CONNECT_CAP_PORT.OUTCLR = CONNECT_CAP_MASK;
	Comparator_Disable();
}

void CapacitorDisconnector_Connect() {
	CONNECT_CAP_PORT.OUTSET = CONNECT_CAP_MASK;
	Comparator_Disable();
}

void CapacitorDisconnector_DriveByComparator(uint8_t level) {
	Comparator_Enable(level);
}