#ifndef COMPARATOR_H_
#define COMPARATOR_H_

#include <avr/io.h>
#include <stdint.h>

#define CAP_COMP_PORT				PORTE
#define CAP_COMP_MASK				(1 << 0)
#define CAP_COMP_AC					AC0
#define CAP_COMP_AC_MUX_IN			AC_MUXPOS_AINP1_gc

void Comparator_Init();
void Comparator_Enable(uint8_t voltage10);
void Comparator_Disable();
int Comparator_IsAbove();

#endif
