 #include "RGB.h"
 
 #include <avr/io.h>
 
 void RGB_Init() {
	 RGB_R_PORT.DIRSET = RGB_R_PIN;
	 RGB_R_PORT.OUTSET = RGB_R_PIN;
	 
	 RGB_G_PORT.DIRSET = RGB_G_PIN;
	 RGB_G_PORT.OUTSET = RGB_G_PIN;
	 
	 RGB_B_PORT.DIRSET = RGB_B_PIN;
	 RGB_B_PORT.OUTSET = RGB_B_PIN;
 }
 
void RGB_SetColor(int r, int g, int b) {
	if (r) {
		RGB_R_PORT.OUTCLR = RGB_R_PIN;
	} else {
		RGB_R_PORT.OUTSET = RGB_R_PIN;
	}
	
	if (g) {
		RGB_G_PORT.OUTCLR = RGB_G_PIN;
	} else {
		RGB_G_PORT.OUTSET = RGB_G_PIN;
	}
	
	if (b) {
		RGB_B_PORT.OUTCLR = RGB_B_PIN;
	} else {
		RGB_B_PORT.OUTSET = RGB_B_PIN;
	}
}

void RGB_ToggleBlue() {
	RGB_B_PORT.OUTTGL = RGB_B_PIN;
}
