#ifndef RGB_H_
#define RGB_H_

#include <avr/io.h>

#define RGB_R_PORT					PORTD
#define RGB_R_PIN					(1 << 4)
#define RGB_G_PORT					PORTD
#define RGB_G_PIN					(1 << 5)
#define RGB_B_PORT					PORTD
#define RGB_B_PIN					(1 << 7)

void RGB_Init();
void RGB_SetColor(int r, int g, int b);
void RGB_ToggleBlue();

#endif
